From 3dba607f14382998ebc6eef02e78d75f20836514 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 31 Jul 2024 08:53:42 +0200
Subject: [PATCH] pg_createsubscriber: Rename option --socket-directory to
 --socketdir

For consistency with the equivalent option in pg_upgrade.
---
 doc/src/sgml/ref/pg_createsubscriber.sgml      |  2 +-
 src/bin/pg_basebackup/pg_createsubscriber.c    |  4 ++--
 .../pg_basebackup/t/040_pg_createsubscriber.pl | 18 +++++++++---------
 3 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/doc/src/sgml/ref/pg_createsubscriber.sgml b/doc/src/sgml/ref/pg_createsubscriber.sgml
index 87a9d3db28e..026290e0114 100644
--- a/doc/src/sgml/ref/pg_createsubscriber.sgml
+++ b/doc/src/sgml/ref/pg_createsubscriber.sgml
@@ -139,7 +139,7 @@ <title>Options</title>
 
     <varlistentry>
      <term><option>-s <replaceable class="parameter">dir</replaceable></option></term>
-     <term><option>--socket-directory=<replaceable class="parameter">dir</replaceable></option></term>
+     <term><option>--socketdir=<replaceable class="parameter">dir</replaceable></option></term>
      <listitem>
       <para>
        The directory to use for postmaster sockets on target server.  The
diff --git a/src/bin/pg_basebackup/pg_createsubscriber.c b/src/bin/pg_basebackup/pg_createsubscriber.c
index f838a079b66..9e68e1d508a 100644
--- a/src/bin/pg_basebackup/pg_createsubscriber.c
+++ b/src/bin/pg_basebackup/pg_createsubscriber.c
@@ -226,7 +226,7 @@ usage(void)
 	printf(_("  -n, --dry-run                   dry run, just show what would be done\n"));
 	printf(_("  -p, --subscriber-port=PORT      subscriber port number (default %s)\n"), DEFAULT_SUB_PORT);
 	printf(_("  -P, --publisher-server=CONNSTR  publisher connection string\n"));
-	printf(_("  -s, --socket-directory=DIR      socket directory to use (default current directory)\n"));
+	printf(_("  -s, --socketdir=DIR             socket directory to use (default current directory)\n"));
 	printf(_("  -t, --recovery-timeout=SECS     seconds to wait for recovery to end\n"));
 	printf(_("  -U, --subscriber-username=NAME  subscriber username\n"));
 	printf(_("  -v, --verbose                   output verbose messages\n"));
@@ -1871,7 +1871,7 @@ main(int argc, char **argv)
 		{"dry-run", no_argument, NULL, 'n'},
 		{"subscriber-port", required_argument, NULL, 'p'},
 		{"publisher-server", required_argument, NULL, 'P'},
-		{"socket-directory", required_argument, NULL, 's'},
+		{"socketdir", required_argument, NULL, 's'},
 		{"recovery-timeout", required_argument, NULL, 't'},
 		{"subscriber-username", required_argument, NULL, 'U'},
 		{"verbose", no_argument, NULL, 'v'},
diff --git a/src/bin/pg_basebackup/t/040_pg_createsubscriber.pl b/src/bin/pg_basebackup/t/040_pg_createsubscriber.pl
index 546f784a311..0a900edb656 100644
--- a/src/bin/pg_basebackup/t/040_pg_createsubscriber.pl
+++ b/src/bin/pg_basebackup/t/040_pg_createsubscriber.pl
@@ -171,7 +171,7 @@ sub generate_db
 		'pg_createsubscriber', '--verbose',
 		'--dry-run', '--pgdata',
 		$node_t->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socket-directory',
+		$node_p->connstr($db1), '--socketdir',
 		$node_t->host, '--subscriber-port',
 		$node_t->port, '--database',
 		$db1, '--database',
@@ -185,7 +185,7 @@ sub generate_db
 		'pg_createsubscriber', '--verbose',
 		'--dry-run', '--pgdata',
 		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socket-directory',
+		$node_p->connstr($db1), '--socketdir',
 		$node_s->host, '--subscriber-port',
 		$node_s->port, '--database',
 		$db1, '--database',
@@ -199,7 +199,7 @@ sub generate_db
 		'pg_createsubscriber', '--verbose',
 		'--pgdata', $node_f->data_dir,
 		'--publisher-server', $node_p->connstr($db1),
-		'--socket-directory', $node_f->host,
+		'--socketdir', $node_f->host,
 		'--subscriber-port', $node_f->port,
 		'--database', $db1,
 		'--database', $db2
@@ -219,7 +219,7 @@ sub generate_db
 		'pg_createsubscriber', '--verbose',
 		'--dry-run', '--pgdata',
 		$node_c->data_dir, '--publisher-server',
-		$node_s->connstr($db1), '--socket-directory',
+		$node_s->connstr($db1), '--socketdir',
 		$node_c->host, '--subscriber-port',
 		$node_c->port, '--database',
 		$db1, '--database',
@@ -242,7 +242,7 @@ sub generate_db
 		'pg_createsubscriber', '--verbose',
 		'--dry-run', '--pgdata',
 		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socket-directory',
+		$node_p->connstr($db1), '--socketdir',
 		$node_s->host, '--subscriber-port',
 		$node_s->port, '--database',
 		$db1, '--database',
@@ -271,7 +271,7 @@ sub generate_db
 		'pg_createsubscriber', '--verbose',
 		'--dry-run', '--pgdata',
 		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socket-directory',
+		$node_p->connstr($db1), '--socketdir',
 		$node_s->host, '--subscriber-port',
 		$node_s->port, '--database',
 		$db1, '--database',
@@ -325,7 +325,7 @@ sub generate_db
 		'--recovery-timeout', "$PostgreSQL::Test::Utils::timeout_default",
 		'--dry-run', '--pgdata',
 		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socket-directory',
+		$node_p->connstr($db1), '--socketdir',
 		$node_s->host, '--subscriber-port',
 		$node_s->port, '--publication',
 		'pub1', '--publication',
@@ -349,7 +349,7 @@ sub generate_db
 		'pg_createsubscriber', '--verbose',
 		'--dry-run', '--pgdata',
 		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socket-directory',
+		$node_p->connstr($db1), '--socketdir',
 		$node_s->host, '--subscriber-port',
 		$node_s->port, '--replication-slot',
 		'replslot1'
@@ -363,7 +363,7 @@ sub generate_db
 		'--recovery-timeout', "$PostgreSQL::Test::Utils::timeout_default",
 		'--verbose', '--pgdata',
 		$node_s->data_dir, '--publisher-server',
-		$node_p->connstr($db1), '--socket-directory',
+		$node_p->connstr($db1), '--socketdir',
 		$node_s->host, '--subscriber-port',
 		$node_s->port, '--publication',
 		'pub1', '--publication',
-- 
2.45.2

